# Uses of Class
org.jfree.chart3d.graphics2d.Anchor2D

Packages that use Anchor2D
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.graphics2d
Utility classes related to 2D graphics.
org.jfree.chart3d.legend
Classes related to chart legends.
org.jfree.chart3d.marker
Provides value and range marker support for the axes on category and XYZ plots.
org.jfree.chart3d.table
Classes and interfaces for constructing tables for display to the user.

## Uses of Anchor2D in org.jfree.chart3d

Fields in org.jfree.chart3d declared as Anchor2D
Modifier and Type
Field
Description
`static final Anchor2D`
TitleAnchor.`BOTTOM_CENTER`
An anchor point at the bottom-center of the chart area.
`static final Anchor2D`
TitleAnchor.`BOTTOM_LEFT`
An anchor point at the bottom-left of the chart area.
`static final Anchor2D`
TitleAnchor.`BOTTOM_RIGHT`
An anchor point at the bottom-right of the chart area.
`static final Anchor2D`
TitleAnchor.`CENTER`
An anchor point at the center of the chart area (provided for completeness, you wouldn't normally anchor a chart title at the center).
`static final Anchor2D`
TitleAnchor.`CENTER_LEFT`
An anchor point at the center-left of the chart area.
`static final Anchor2D`
TitleAnchor.`CENTER_RIGHT`
An anchor point at the center-right of the chart area.
`static final Anchor2D`
TitleAnchor.`TOP_CENTER`
An anchor point at the top-center of the chart area.
`static final Anchor2D`
TitleAnchor.`TOP_LEFT`
An anchor point at the top-left of the chart area.
`static final Anchor2D`
TitleAnchor.`TOP_RIGHT`
An anchor point at the top-right of the chart area.
Methods in org.jfree.chart3d that return Anchor2D
Modifier and Type
Method
Description
`Anchor2D`
Chart3D.`getLegendAnchor()`
Returns the legend anchor.
`Anchor2D`
Chart3D.`getTitleAnchor()`
Returns the title anchor.
Methods in org.jfree.chart3d with parameters of type Anchor2D
Modifier and Type
Method
Description
`static TableElement`
TitleUtils.`createTitle(String title, String subtitle, Anchor2D anchor)`
Creates a chart title and subtitle (optional) using default fonts and alignment that is standard for the specified anchor point (that is, left alignment when the title is anchored left, center alignment when the title is anchored centrally, and right alignment when the title is anchored to the right).
`void`
Chart3D.`setLegendAnchor(Anchor2D anchor)`
Sets the legend anchor and sends a `Chart3DChangeEvent` to all registered listeners.
`void`
Chart3D.`setLegendPosition(Anchor2D anchor, Orientation orientation)`
Sets the legend position (both the anchor point and the orientation) and sends a `Chart3DChangeEvent` to all registered listeners.
`void`
Chart3D.`setTitleAnchor(Anchor2D anchor)`
Sets the title anchor and sends a `Chart3DChangeEvent` to all registered listeners.

## Uses of Anchor2D in org.jfree.chart3d.graphics2d

Fields in org.jfree.chart3d.graphics2d declared as Anchor2D
Modifier and Type
Field
Description
`static final Anchor2D`
Anchor2D.`BOTTOM_CENTER`
An anchor point at the bottom center with zero offset from the target rectangle bounds.
`static final Anchor2D`
Anchor2D.`BOTTOM_LEFT`
An anchor point at the bottom left with zero offset from the target rectangle bounds.
`static final Anchor2D`
Anchor2D.`BOTTOM_RIGHT`
An anchor point at the bottom right with zero offset from the target rectangle bounds.
`static final Anchor2D`
Anchor2D.`CENTER`
An anchor point at the center of the target rectangle.
`static final Anchor2D`
Anchor2D.`CENTER_LEFT`
An anchor point at the center left with zero offset from the target rectangle bounds.
`static final Anchor2D`
Anchor2D.`CENTER_RIGHT`
An anchor point at the center right with zero offset from the target rectangle bounds.
`static final Anchor2D`
Anchor2D.`TOP_CENTER`
An anchor point at the top center with zero offset from the target rectangle bounds.
`static final Anchor2D`
Anchor2D.`TOP_LEFT`
An anchor point at the top left with zero offset from the target rectangle bounds.
`static final Anchor2D`
Anchor2D.`TOP_RIGHT`
An anchor point at the top right with zero offset from the target rectangle bounds.
Methods in org.jfree.chart3d.graphics2d that return Anchor2D
Modifier and Type
Method
Description
`Anchor2D`
Fit2D.`getAnchor()`
Returns the anchor.
Constructors in org.jfree.chart3d.graphics2d with parameters of type Anchor2D
Modifier
Constructor
Description
``
`Fit2D(Anchor2D anchor, Scale2D scale)`
Creates a new instance.

## Uses of Anchor2D in org.jfree.chart3d.legend

Fields in org.jfree.chart3d.legend declared as Anchor2D
Modifier and Type
Field
Description
`static final Anchor2D`
LegendAnchor.`BOTTOM_CENTER`
An anchor point at the bottom-center of the chart area.
`static final Anchor2D`
LegendAnchor.`BOTTOM_LEFT`
An anchor point at the bottom-left of the chart area.
`static final Anchor2D`
LegendAnchor.`BOTTOM_RIGHT`
An anchor point at the bottom-right of the chart area.
`static final Anchor2D`
LegendAnchor.`CENTER_LEFT`
An anchor point at the center-left of the chart area.
`static final Anchor2D`
LegendAnchor.`CENTER_RIGHT`
An anchor point at the center-right of the chart area.
`static final Anchor2D`
LegendAnchor.`TOP_CENTER`
An anchor point at the top-center of the chart area.
`static final Anchor2D`
LegendAnchor.`TOP_LEFT`
An anchor point at the top-left of the chart area.
`static final Anchor2D`
LegendAnchor.`TOP_RIGHT`
An anchor point at the top-right of the chart area.
Methods in org.jfree.chart3d.legend with parameters of type Anchor2D
Modifier and Type
Method
Description
`TableElement`
ColorScaleLegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates a new color scale legend with the specified orientation.
`TableElement`
LegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates a legend for the specified plot.
`TableElement`
StandardLegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates and returns a legend (instance of `TableElement`) that provides a visual key for the data series in the specified plot.

## Uses of Anchor2D in org.jfree.chart3d.marker

Methods in org.jfree.chart3d.marker that return Anchor2D
Modifier and Type
Method
Description
`Anchor2D`
CategoryMarker.`getLabelAnchor()`
Returns the anchor for the label.
`Anchor2D`
MarkerData.`getLabelAnchor()`
Returns the label anchor.
`Anchor2D`
NumberMarker.`getLabelAnchor()`
Returns the anchor for the label.
`Anchor2D`
RangeMarker.`getLabelAnchor()`
Returns the anchor for the label.
Methods in org.jfree.chart3d.marker with parameters of type Anchor2D
Modifier and Type
Method
Description
`protected void`
AbstractMarker.`drawMarkerLabel(Graphics2D g2, String label, double x, double y, Anchor2D anchor, Line2D refLine, boolean reverse)`
Draws a marker label.
`protected void`
AbstractMarker.`drawMarkerLabel(Graphics2D g2, String label, double x, double y, Anchor2D anchor, Line2D refLine1, Line2D refLine2, boolean reverse)`
Draws a marker label.
`void`
CategoryMarker.`setLabelAnchor(Anchor2D anchor)`
Sets the anchor for the label and sends a change event to all registered listeners.
`void`
MarkerData.`setLabelAnchor(Anchor2D anchor)`
Sets the label anchor.
`void`
NumberMarker.`setLabelAnchor(Anchor2D anchor)`
Sets the anchor for the label and sends a change event to all registered listeners.
`void`
RangeMarker.`setLabelAnchor(Anchor2D anchor)`
Sets the anchor for the label and sends a change event to all registered listeners.

## Uses of Anchor2D in org.jfree.chart3d.table

Methods in org.jfree.chart3d.table that return Anchor2D
Modifier and Type
Method
Description
`Anchor2D`
GradientRectanglePainter.`getAnchor1()`
Returns the anchor point used to find the starting point for the gradient (as specified via the constructor).
`Anchor2D`
GradientRectanglePainter.`getAnchor2()`
Returns the anchor point used to find the ending point for the gradient (as specified via the constructor).
Constructors in org.jfree.chart3d.table with parameters of type Anchor2D
Modifier
Constructor
Description
``
`GradientRectanglePainter(Color color1, Anchor2D anchor1, Color color2, Anchor2D anchor2)`
Creates a new instance.